import 'package:animated_flip_counter/animated_flip_counter.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:shop_app/controllers/example_controller.dart';

class StatusRecord extends StatelessWidget {
  StatusRecord({
    Key? key,
  }) : super(key: key);

  final ExampleController eventController = Get.find();

  @override
  Widget build(BuildContext context) {
    return Column(
      children: [
        Row(
          mainAxisAlignment: MainAxisAlignment.spaceEvenly,
          children: [
            Column(
              children: [
                Obx(() => AnimatedFlipCounter(
                    value: eventController.events.length,
                    textStyle: TextStyle(fontWeight: FontWeight.bold))),
                Text('All records: '),
              ],
            ),
            Column(
              children: [
                Obx(() => AnimatedFlipCounter(
                    value:
                        eventController.events.where((e) => !e.isSend).length,
                    textStyle: TextStyle(fontWeight: FontWeight.bold))),
                Text('Local records: '),
              ],
            ),
            Column(
              children: [
                Obx(() => AnimatedFlipCounter(
                    value: eventController.events.where((e) => e.isSend).length,
                    textStyle: TextStyle(fontWeight: FontWeight.bold))),
                Text('Sent records: '),
              ],
            ),
          ],
        ),
        Divider(),
        Row(
          mainAxisAlignment: MainAxisAlignment.spaceEvenly,
          children: [
            Column(
              children: [
                Obx(() => AnimatedFlipCounter(
                    value: eventController.cpu.value,
                    suffix: '%',
                    textStyle: TextStyle(fontWeight: FontWeight.bold))),
                Text('Cpu'),
              ],
            ),
            Column(
              children: [
                Obx(() => AnimatedFlipCounter(
                    value: eventController.memory.value,
                    suffix: '%',
                    textStyle: TextStyle(fontWeight: FontWeight.bold))),
                Text('Memory'),
              ],
            ),
            Column(
              children: [
                Obx(() => AnimatedFlipCounter(
                    value: eventController.battery.value,
                    suffix: '%',
                    textStyle: TextStyle(fontWeight: FontWeight.bold))),
                Text('Battery')
              ],
            ),
            Column(
              children: [
                Obx(() => AnimatedFlipCounter(
                    value: eventController.freeSpace.value,
                    suffix: 'MB',
                    textStyle: TextStyle(fontWeight: FontWeight.bold))),
                Text('Space')
              ],
            ),
          ],
        ),
      ],
    );
  }
}
