//
//  MemoryPressureMonitor.swift
//  rdc_ios_sdk
//
//  Created by ap on 8/11/2565 BE.
//

import Foundation

class MemoryPressureMonitor {
    static let shared = MemoryPressureMonitor()
    private let dispatchSource = DispatchSource.makeMemoryPressureSource(eventMask: [.warning, .critical])
    private init() {
        dispatchSource.setEventHandler { [weak self] in
            if let event = self?.dispatchSource.data,  self?.dispatchSource.isCancelled == false {
                switch event {
                case .warning:
                    print("MemoryPressureMonitor: Low memory warning")
                case.critical:
                    print("MemoryPressureMonitor: Critical memory warning")
                default:
                    print("MemoryPressureMonitor: Unknown Event")
                }
            }
        }
        dispatchSource.activate()
    }
    deinit {
        dispatchSource.cancel()
    }
}
