import 'package:country_codes/country_codes.dart';
import 'package:geolocator/geolocator.dart';
import 'package:permission_handler/permission_handler.dart';

class LocationController {
  late bool isGranted;
  Position? position;

  var localeCountry = '';
  var localeLang = '';

  Future<LocationController> init() async {
    await getPosition();
    await getLocale();
    return this;
  }

  Future<void> getLocale() async {
    await CountryCodes.init();
    var deviceLocale = CountryCodes.getDeviceLocale();
    if (deviceLocale == null) return;

    localeCountry = deviceLocale.countryCode ?? '';
    localeLang = deviceLocale.languageCode;
  }

  Future<void> getPosition() async {
    isGranted = await Permission.location.isGranted;
    if (!isGranted) return;

    position = await Geolocator.getCurrentPosition();
  }
}
